Bug 56733 - Upgrade can't find swap
Summary: Upgrade can't find swap
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-26 17:20 UTC by Robert Velthuizen
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-04 01:43:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Velthuizen 2001-11-26 17:20:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; Unilever 
Research)

Description of problem:
I'm trying to upgrade my Dell 530 dual processor from Red Hat Linux 7.1 to 
Red Hat Linux 7.2. I boot from cd-ROM, go through the
language/keyboard/mouse/install options and choose Upgrade. After the 
"Customize packages to be upgraded" screen I click "Next". Then a pop-up 
window appears that there's no swap device and that it needs to reboot. 
This scenario is followed whether I boot expert or not.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from install CD-Rom
2. Go through language/keyboard/mouse/install options and choose Upgrade
3. After the 
"Customize packages to be upgraded" screen click "Next". (Doesn't matter 
wheter checked or not).
	

Actual Results:  A pop-up window appears that there's no swap device and 
that it needs to reboot.

Expected Results:  Upgrade should have started

Additional info:

My swap partition is 2 GBytes.

[velthur@aim-ip2 velthur]$ cat /proc/meminfo | grep Swap
Swap: 2146754560	0 2146754560
SwapTotal:     2096440 kB
SwapFree:      2096440 kB


[root@aim-ip2 velthur]#  /sbin/fdisk -l

Disk /dev/sda: 255 heads, 63 sectors, 35632 cylinders
Units = cylinders of 16065 * 512 bytes

   Device Boot	  Start       End    Blocks   Id  System
/dev/sda1   *	      1 	5     40131   83  Linux
/dev/sda2	      6     35632 286173877+   5  Extended
/dev/sda5	      6       267   2104483+  83  Linux
/dev/sda6	    268       528   2096451   82  Linux swap
/dev/sda7	    529     35632 281972848+  83  Linux

Comment 1 Brent Fox 2001-12-04 01:43:23 UTC
Can you attach the /etc/fstab file from your 7.1 system?

Comment 2 Brent Fox 2002-01-16 21:21:40 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.